Page MenuHomePhabricator

Table for totoazero tool needs maintenance to prevent data loss
Closed, ResolvedPublic

Description

The maj_articles_recents table in the totoazero tool's database is not currently being replicated because the recent toolsdb crash caused a mismatch in some replicated data.

In order to restore replication, we will need to find time to shut down the tool and reimport it.

Event Timeline

Bstorm created this task.Jul 6 2020, 11:10 PM
Bstorm updated the task description. (Show Details)Jul 6 2020, 11:17 PM

Co-maintainer of this tool, i'll take a look in next days

maj_articles_recents table only contains few (less that a thousand) rows used by a script that runs four times a day, at 0h, 6h, 12h and 18h UTC, likely not running for more that one hour.
The table can safely be taken offline outside these hours. If you need one or two days of script off, don't hesitate to ask me.
But I don't think that there is need to "shut down the [entire] tool", as other scripts can run without this table.

bd808 moved this task from Backlog to ToolsDB on the Data-Services board.Jul 19 2020, 11:41 PM

Hi @Bstorm, anything I can do here?

Sorry, I need to circle back around to this. That should be enough information to get started on this particular table.

Mentioned in SAL (#wikimedia-cloud) [2020-07-30T19:56:37Z] <bstorm> Reimported the maj_articles_recents table on the replica and started replication again T257273

Change 617533 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] toolsdb: remove one of the temporary replication filters

https://gerrit.wikimedia.org/r/617533

Change 617533 merged by Bstorm:
[operations/puppet@production] toolsdb: remove one of the temporary replication filters

https://gerrit.wikimedia.org/r/617533

Bstorm closed this task as Resolved.Jul 30 2020, 8:08 PM
Bstorm claimed this task.